# Function makePublish

- makePublish(
  request: PublishRequest ,
  ): {
  created_at: number;
  emitter: Emitter ;
  id: string;
  request: PublishRequest ;
  result: Deferred < PublishStatusMap >;
  status: PublishStatusMap ;
  }

- #### Parameters

  - request: PublishRequest

  #### Returns {
  created_at: number;
  emitter: Emitter ;
  id: string;
  request: PublishRequest ;
  result: Deferred < PublishStatusMap >;
  status: PublishStatusMap ;
  }

  - Defined in packages/net/src/Publish.ts:33